| Home | Libraries | People | FAQ | More

##### basic_serial_port::set_option (2 of 2 overloads)

Set an option on the serial port.

    template<
        typename SettableSerialPortOption>
    boost::system::error_code set_option(
        const SettableSerialPortOption & option,
        boost::system::error_code & ec);

This function is used to set an option on the serial port.

###### Parameters

option

  The option value to be set on the serial port.

ec

  Set to indicate what error occurred, if any.